> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payroll Sync History

> Returns recent payroll sync history records for the org, newest first.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/get-payroll-sync-history
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/get-payroll-sync-history:
    get:
      operationId: getPayrollSyncHistory
      summary: Get Payroll Sync History
      description: |-
        Returns recent payroll sync history records for the org, newest first.

        Not available to API keys.
      parameters:
        - name: orgID
          in: query
          required: true
          schema:
            type: string
            format: uuid
        - name: limit
          in: query
          required: false
          schema:
            type: number
            minimum: 1
            maximum: 100
            default: 50
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPayrollSyncHistoryResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetPayrollSyncHistoryResponse:
      type: object
      properties:
        success:
          type:
            - boolean
            - 'null'
        data:
          type:
            - object
            - 'null'
          properties:
            history:
              type:
                - array
                - 'null'
              items:
                type: object
                properties:
                  syncHistoryID:
                    type:
                      - string
                      - 'null'
                  orgID:
                    type:
                      - string
                      - 'null'
                  source:
                    type:
                      - string
                      - 'null'
                  syncTimestamp:
                    type:
                      - string
                      - 'null'
                  recordsProcessed:
                    type:
                      - number
                      - 'null'
                  recordsCreated:
                    type:
                      - number
                      - 'null'
                  recordsUpdated:
                    type:
                      - number
                      - 'null'
                  errors:
                    type:
                      - array
                      - 'null'
                    items:
                      type: string
                  metadata:
                    type:
                      - object
                      - 'null'
                    additionalProperties: {}
            totalCount:
              type:
                - number
                - 'null'
        error:
          type:
            - string
            - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
